#version 420 core

layout (location = 0) in vec3 pos;

uniform mat4 model;

layout(std140, binding = 3) uniform Sun
{
    vec3 direction;
    vec3 color;
    mat4 vp;
} sun;

void main()
{
    gl_Position = sun.vp * model * vec4(pos, 1.0);
}
